/*
 Theme Name:     MIAP Meuse 2024 (Divi) - PREPROD
 Theme URI:      https://www.elegantthemes.com/gallery/divi/
 Description:    Ce thème ajoute 2 Custom Post Types (CPT) : CV + Offres d'emploi | Les formulaires sont gérés via l'extension FORMINATOR (inscription + connexion + creation de posts liés aux CPTs) | Des rôles utilisateurs Front-End sont configurables depuis le menu "Configurations du site > Utilisateurs MIAP" | Des données personnalisées sont gérées via l'extension ACF 6.2.7 (version intégrée au thème enfant) et l'extension ACF extended (NECESSAIRE) | Les données soumises via FORMINATOR sont synchronisées aux données ACF (menu "Configuration du site > Synchronisations").
 Author:         Rémi COLIN
 Author URI:     https://www.elegantthemes.com
 Template:       Divi
 Version:        1.1.2
*/
:root {
	--main-bg: #ffffff;
	--alt-bg: #ececec;
	--secondary-bg: #23262d; /* ~Black */
	--dark-txt-color: #575756; /* Dark grey */
	--hovered-dark-txt: #868683;
	--light-txt-color: #f5f5f5; /* White ~grey */
	--hovered-light-txt: #E0E0E0;
	--title-color: #000000; /* Dark grey */
	--featured-color: #000000; /* Violet */
		--featured-color-50: rgba(0, 0, 0, 0.5);
		--featured-color-90: rgba(0, 0, 0, 0.9);
		--featured-color-darker: #000000;
		--featured-color-lighter: #000000;
	--alt-featured-color: #f8b047; /* Yellow/Orange */
	--ctas-color: #f8b047; /*Yellow/Orange*/
	--ctas-lighter-color: #FBCD89; /*Yellow/Orange - Lighter*/
	--ctas-darker-color: #F69B13; /*Yellow/Orange - Lighter*/
	--cf-submit-color: #5a2970; /*Green ARML*/
	--success-msg: #5a2970; /*Green ARML*/
	--failed-msg: #F39200; /*Orange ARML*/
}

*.centered {text-align: center; margin: 0 auto;}
h1, h2, h3, h4, h5, h6 {color: var(--title-color);}

/*Fast Fix*/
body > #ui-datepicker-div {display: none;}

.user-form-container {
	max-width: 840px;
	margin: 1rem auto;
	padding: 12px;
	background-color: #f5f5f5;
	border-radius: 8px;
	box-shadow: 0px 0px 4px 1px;
}

form .miap-hidden {display: none !important;}

form.forminator-ui .wp-editor-tools > .wp-editor-tabs > button.wp-switch-editor {display: none !important;}

#miap-guided-msg {
	background-color: var(--alt-featured-color);
	color: var(--title-color);
	padding: 24px 0;
}
#miap-guided-msg > .guided-msg-content {
	width: max-content;
	margin: auto;
	padding: 12px 16px;
	border-radius: 8px;
	background-color: rgba(255, 255, 255, 0.5);
}
#miap-guided-msg > .guided-msg-content > ul {
	display: block;
	width: max-content;
	margin: 0 auto;
	padding-right: 12.5%;
	text-align: left;
}
#miap-guided-msg > .guided-msg-content > form {
	max-width: 340px;
	display: block;
	margin: 12px auto;
}

#miap-user-loop {
	background-image: url('./assets/images/main_bg_miap-2.png');
	background-size: contain;
	background-repeat: no-repeat;
	margin: 0 0 16px 0;
	padding: 12px 12px 24px 12px;
}
#miap-recommandations-loop {
	background-image: url('./assets/images/main_bg_miap-righted.png');
	background-position: top right;
	background-size: contain;
	background-repeat: no-repeat;
}
#miap-recommandations-loop > div.merged-wrapper {
	padding: 16px 0;
}
#miap-recommandations-loop > div.merged-wrapper > [class*="col-"] {
	margin: 0 auto;
}
#miap-interactions {
	background-color: var(--featured-color);
	padding: 12px 0;
}

#miap-user-loop > h3 {background-color: rgba(255,255,255,0.65); margin-top: 1rem; padding: 6px 12px; border-radius: 12px;}
#miap-user-loop .panel-post figure img,
#miap-recommandations-loop .panel-post figure img {height: auto; width: 100%;}
#miap-recommandations-loop .panel-post figure {width: 100%;}
/* h2.no-results-title {display: block; width: 100%; text-align: center;} */

#miap-companies-loop div.grid > [class*="col-"],
#miap-profiles-loop div.grid > [class*="col-"] {margin: 0 auto;}

#miap-companies-loop div.grid > h2,
#miap-profiles-loop div.grid > h2 {
	padding: 1rem auto !important;
	margin: 1rem auto !important;
}
#miap-companies-loop div.grid > h2:after,
#miap-profiles-loop div.grid > h2:after {
	content: '';
	display: block;
	position: absolute;
	left: 12.5%;
	width: 75%;
	border-bottom: 1px solid var(--title-color);
}

#miap-companies-loop i.hover-helper,
#miap-profiles-loop i.hover-helper {
	background-color: var(--alt-featured-color);
	margin: 6px;
	padding: 6px;
	border-radius: 50%;
}

.user-form-container .et-db #et-boc .et_pb_module .forminator-ui.forminator-custom-form[data-design="material"] .forminator-multiselect,
.user-form-container .forminator-ui.forminator-custom-form[data-design="material"] .forminator-multiselect,
.forminator-ui.forminator-custom-form[data-design="material"] .miap-flex-selector .forminator-multiselect {
	display: flex;
	flex-flow: row wrap;
}
.user-form-container .forminator-ui.forminator-design--material .forminator-multiselect .forminator-option,
.forminator-ui.forminator-design--material .miap-flex-selector .forminator-multiselect .forminator-option {
	flex-basis: calc(33% - 12px);
	margin: 5px 6px !important;
}

.forminator-design--material .forminator-multiselect .forminator-option.forminator-is_checked {
	border-color: var(--alt-featured-color) !important;
	color: var(--featured-color) !important;
}

.miap-job-offer-datas {display: flex; flex-flow: row wrap; justify-content: center;}
.miap-job-offer-datas .forminator-row:first-child {margin: 6px !important; flex-basis: calc(50% - 12px);}
.miap-job-offer-datas .forminator-row:nth-child(2) {margin: 6px !important; flex-basis: calc(50% - 12px);}
.miap-job-offer-datas .forminator-row:nth-child(3) {margin: 6px !important; flex-basis: calc(50% - 12px);}
.miap-job-offer-datas .forminator-row:nth-child(4) {margin: 6px !important; flex-basis: calc(50% - 12px);}

.forminator-ui .forminator-button-submit {background-color: var(--featured-color) !important;}

.forminator-design--material .forminator-field-postdata .forminator-field.forminator-is_active .forminator-label[class*="forminator-floating-"] {
	top: -8px;
}

/*TEST*/
body.login-action-lostpassword {}
#login h1 a,
.login h1 a {
	background-image: url(http://localhost/miap/wp-content/uploads/2024/02/LOGO-MIAP-COULEUR-FOND-CLAIR-2-340.png);
	min-width: 240px;
	min-height: 120px;
	background-size: cover;
	background-repeat: no-repeat;
	padding-bottom: 10px;
}
.login .message,
.login .notice,
.login .success {
	border-left: 4px solid var(--featured-color);
}
body.login-action-lostpassword.wp-core-ui .button-group.button-large .button,
body.login-action-lostpassword.wp-core-ui .button.button-large {
	background-color: var(--alt-featured-color);
	border-color: var(--alt-featured-color);
}

/*-----------------------------------
	## ACF Slider
-------------------------------------*/
#miap-user-loop .acf-block-slider.slick-initialized {position: relative; height: 340px; margin: 12px 0;}
#miap-user-loop .acf-block-slider.slick-initialized .slick-list {position: relative; height: 100%;}
#miap-user-loop .acf-block-slider.slick-initialized .slick-list .slick-track {position: relative; height: 100%; margin: 0 auto;}
#miap-user-loop .acf-block-slider.slick-initialized .slick-list .slick-track .post-container.slick-slide {position: relative; height: 100%; margin: 12px 16px;}
#miap-user-loop .slick-dots {bottom: -28px;}

/*---------------------
  ## Fixings
----------------------*/
/*Fix forminator date selector in modal*/
.forminator-calendar--material.ui-datepicker {
	z-index: 9999998 !important;
}
.forminator-calendar--material.ui-datepicker select {
	z-index: 9999999 !important;
}

/*Magnific popup custom*/
.mfp-wrap .mfp-container button.forminator-button-submit {
	background-color: var(--featured-color) !important;
	border-radius: 0;
	transition: 400ms all ease-in-out !important;
}
.mfp-wrap .mfp-container button.forminator-button-submit:hover {
	background-color: var(--featured-color-darker) !important;
	border-radius: 8px;
}

/*---------------------
  ## Divi adaptations
----------------------*/
/*Modal customizations*/
.mfp-content {width: 75% !important;background: #ececec;padding: 4rem 2rem; border-radius: 12px;}
.mfp-content button.mfp-close {color: #3c3c3c; top: -3.75rem !important; right: 1.75rem !important;}

/*Footer style*/
footer#main-footer p#footer-info {display: none;}

.et_pb_scroll_top.et-pb-icon {bottom: 24px !important;}
.et_pb_section.custom-overlay:before {
	content: '';
	position: absolute;
	top: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.55);
	z-index: 1;
}

.et-main-area {position: relative;}

/*-----------------------------------------------
  ##Izmir css library
  Add effects on hover for images (<figure>)
-------------------------------------------------*/
/* Izmir customizations */
article.panel-post div.post-thumbnail .c4-izmir {
  --primary-color: var(--featured-color);
  --secondary-color: var(--alt-featured-color);
  --transition-duration: 500ms;
  --border-width: 6px;
  --overlay-opacity: .5;
  --padding: 0;
}
article.panel-post div.post-thumbnail .c4-gradient-top-left {
	background-image: linear-gradient(135deg,var(--featured-color) 0,var(--alt-featured-color) 100%);
}

/*---------------------
  ## Navigation
----------------------*/
/*Header customizations*/
#main-header {transition: 400ms all ease-in-out;}
#main-header.et-fixed-header {background: #fff; color: var(--dark-txt-color);}
#main-header.et-fixed-header .featured-nav > a {color: var(--light-txt-color);}
#main-header #top-menu a {font-size: 1rem; font-weight: 400; letter-spacing: 1px; transition: 400ms all ease-in-out;}
#main-header.et-fixed-header #top-menu li.menu-item:not(.featured-nav) a {color: var(--dark-txt-color) !important;}
#main-header.et-fixed-header #logo,
body.no-h-overflow.et_fixed_nav #main-header #logo {max-height: 90% !important; background: var(--featured-color); padding: 4px 12px;}
#main-header .mobile_menu_bar::before, .mobile_menu_bar::after, #top-menu li.current-menu-ancestor > a, #top-menu li.current-menu-item > a {color : #fff !important;}

@media (max-width: 980px) {
  #main-header.et-fixed-header {position: fixed; background: #5a2970;}
  #main-header.et-fixed-header #logo {max-width: 50%; max-height: 54% !important; background: transparent; padding: 0;}
}

body.no-h-overflow.et_fixed_nav #main-header {
	background: #ffffff;
}
body.no-h-overflow.et_fixed_nav #main-header #et-top-navigation .menu-item:not(.featured-nav) > a,
body.no-h-overflow.et_fixed_nav #main-header #et-top-navigation li.menu-item.current-menu-item:not(.featured-nav) > a {
	color: var(--dark-txt-color) !important;
}

/*Featured navigation*/
#et-top-navigation .menu-item.featured-nav {padding: 8px 24px; background: var(--featured-color); border-radius: 24px; transition: 250ms border-radius linear;}
#et-top-navigation li.user-account-nav {margin: 0 32px;}
#et-top-navigation .menu-item.featured-nav a {color: var(--light-txt-color);}
.main-menu li.featured-nav.menu-item-has-children::after {top: 10px; right: 6px;}
#et-top-navigation .menu-item.featured-nav.menu-item-has-children:hover {border-radius: 24px 24px 0 0;}
ul.sub-menu li.featured-nav.menu-item-has-children:after {color: var(--light-txt-color);} /*submenu indicator - FA*/

#et-top-navigation .menu-item.revert-submenu > ul.sub-menu {margin: 0 0 0 -150px;}
#et-top-navigation .menu-item.featured-nav > ul.sub-menu {background: inherit; border-radius: 24px 0; padding-top: 6px; border-top: 3px solid var(--title-color);}

/* body.abs-head #et-top-navigation.sticky .main-menu li.featured-nav a {
	color: var(--light-txt-color);
} */

/*-----------------
  ##Main Layouts
------------------*/
div.full-wrapper, section.full-wrapper, article.full-wrapper {position: relative; width: 100%;}
div.merged-wrapper, section.merged-wrapper, article.merged-wrapper {width: 80%; margin-left: auto; margin-right: auto;}
div.merged-wrapper:not(:first-child), section.merged-wrapper:not(:first-child), article.merged-wrapper:not(:first-child) {margin: 2.5% auto;}
div.smaller-wrapper, section.smaller-wrapper, article.smaller-wrapper {width: 60%;  margin-left: auto; margin-right: auto;}
div.smaller-wrapper:not(:first-child), section.smaller-wrapper:not(:first-child), article.smaller-wrapper:not(:first-child) {margin: 2.5% auto;}

/*---------------------
   ## Medias styles
----------------------*/
.img-cover {
	object-fit: cover;
	object-position: 50% 50%;
	width: 100%;
	height: 100%;
}
.img-contain {
	object-fit: contain;
	width: 100%;
	height: 100%;
}
.img-cover-logo {
	object-fit: contain;
	object-position: center top;
	width: 100%;
	height: 100% !important;
}

.img-cover.vcenter {object-position: center center;}
.img-cover.vbottom {object-position: center bottom;}
.inline-img {width: 48px; height: auto;}
.rounded-img {width: 136px; height: 136px; border-radius: 50%;}

/* Video cover style */
.video-cover {
	object-fit: contain;
	object-position: center top;
	width: 100%;
	height: 100% !important;
}

/* WP video shortcode - controls FIX */
.mejs-inner, .mejs-mediaelement, .mejs-layers {width: 100%; height: 100%;}
.mejs-controls {bottom: 0;}
audio {width: 100%;}

@media all and (max-width: 576px) {
	img.alignnone {height: auto;}
	.inline-img {width: 36px;}
}

/*Featured menu item + margin correction for righted submenus*/
#main-header > .container .menu-item.featured-nav {padding: 16px 24px; background: var(--featured-color); border-radius: 24px; transition: 250ms border-radius linear;}
#main-header > .container .menu-item.featured-nav a {color: var(--light-txt-color); padding-bottom: 0px !important;}
.main-menu li.featured-nav.menu-item-has-children::after {top: 10px; right: 6px;}
#main-header > .container .menu-item.featured-nav.menu-item-has-children:hover {border-radius: 24px 24px 0 0;}

#main-header > .container .menu-item.revert-submenu > ul.sub-menu {margin: 0 0 0 -150px;}
#main-header > .container .menu-item.featured-nav > ul.sub-menu {background: inherit; border-radius: 24px 0; padding-top: 6px; border-top: 3px solid var(--title-color);}

/*Account Nav*/
#main-header > .container > #account-nav {position: absolute; width: max-content; bottom: -2.5rem;}

/*User post form style*/
.user-post-form form.forminator-custom-form {max-width: 640px; margin: 0 auto !important;}

/*Ajax Search Pro styles*/
form.asp-fss-flex {
	align-items: center;
	justify-content: center;
	background: var(--alt-bg);
}

div.asp_w.asp_sb.searchsettings form.asp-fss-flex fieldset {
	margin: 1rem 0 !important;
}

#ajaxsearchprores1_1.vertical, #ajaxsearchprores1_2.vertical, div.asp_r.asp_r_1.vertical {
	background: transparent !important;
}

.isotopic .results .item,
div.asp_r.asp_r_1.isotopic .results .item {
	background-image: url('./assets/images/miap-offre_emploi-placeholder.jpg') !important;
	background-size: cover !important;
	background-repeat: no-repeat !important;
}
#ajaxsearchprores1_1 .results .item div.asp_content,
#ajaxsearchprores1_2 .results .item div.asp_content,
div.asp_r.asp_r_1 .results .item div.asp_content {
	height: 100% !important;
}

/*Leaflet*/
svg.leaflet-attribution-flag {opacity: 0; position: absolute;}

/*Forminator*/
.forminator-field-address.grid-address > .forminator-row {width: calc(33% - 32px);  margin-left: 16px !important; margin-right: 16px !important;}
/*--------------------------
## Bottom bar - Post update
----------------------------*/
.update-post-banner {
	position: fixed;
	bottom: 0;
	width: 100%;
	height: auto;
	padding: 6px 0;
	background-color: var(--featured-color);
	z-index: 1001;
	transition: 400ms all ease-in-out;
}
.update-post-banner.closed {
	bottom: -400px;
}
.update-post-banner span.close-banner {
	position: absolute;
	right: 24px;
	top: 12px;
	font-size: 1.25rem;
	color: var(--light-txt-color);
	cursor: pointer;
}
.update-post-banner div.update-banner-content {width: 90%; height: 100%; margin: 0 auto;}
.update-post-banner div.update-banner-content > p {color: var(--light-txt-color); margin: 12px auto; text-align: center;}
.update-post-banner div.update-banner-content > p > strong.post-status {background-color: var(--alt-featured-color); padding: 3px 12px; margin: 0 6px; color: var(--light-txt-color); border-radius: 12px;}

.update-post-trigger {
	z-index: 2;
}
.update-post-trigger.fixed {
	position: fixed !important;
	bottom: 6px;
	right: 5%;
}

.modal {top: 20% !important;}

/*--------------------------
## Email modification template
----------------------------*/
section.email-confirmation-res {height: 80vh; margin-top: 3rem;}
section.email-confirmation-res > div.update-status-container {
	position: relative;
	width: 75%;
	margin: 0 auto;
	padding: 2rem 3rem;
	text-align: center;
}
section.email-confirmation-res > div.update-status-container.update-validated {
	background-color: var(--success-msg);
}
section.email-confirmation-res > div.update-status-container.update-failed {
	background-color: var(--failed-msg);
}
section.email-confirmation-res > div.update-status-container > div.subcontainer {
	background-color: var(--main-bg);
	padding: 12px 6px;
}

/*--------------------------
## Personal space
----------------------------*/
div.intro-container > div.up-content > div.miap-welcome-msg {
	width: 50%;
	background-color: var(--featured-color-50);
	margin: 16px auto;
	padding: 1rem 0;
	text-align: center;
	border-radius: 12px;
}
div.intro-container > div.up-content > div.miap-welcome-msg > p {padding: 0;}
div.intro-container > div.up-content > div.miap-welcome-msg > ul {width: 390px; text-align: left; margin: 12px auto;}
div.intro-container > div.up-content > div.miap-welcome-msg > ul > li > i.fas {position: relative; padding: 0 6px; font-size: 1.25rem;}
div.intro-container > div.up-content > div.miap-welcome-msg > ul > li > i.fas:before {position: relative; z-index: 1;}
div.intro-container > div.up-content > div.miap-welcome-msg > ul > li > i.success-icon {color: green;}
div.intro-container > div.up-content > div.miap-welcome-msg > ul > li > i.warning-icon {color: orange;}

/*Add a background to icon (rounded)*/
div.intro-container > div.up-content > div.miap-welcome-msg > ul > li > i.fas:after {
	content: '';
	display: block;
	position: absolute;
	width: 1rem;
	height: 1rem;
	top: 0.125rem;
	left: 0.5rem;
	background-color: var(--light-txt-color);
	border-radius:50%;
	z-index: 0;
}

div.logout-success-msg {display: block; width: 60%; margin: 7.5% auto; background: var(--featured-color); padding: 12px 0;}
div.logout-success-msg > p {text-align: center; font-size: 1.25rem; font-weight: 700; color: var(--light-txt-color);}

@media all and (max-width: 576px) {
	div.logout-success-msg {width: 90%;}
}

/* div#miap-interactions {background-color: var(--alt-bg); border-radius: 8px;} */

div.container.user-post-form {background-color: var(--alt-bg); padding: 12px;}
div.container.user-post-form > h3 {margin-bottom: 2rem; font-size: 3rem;}

div.container.user-cv-status {padding: 12px; text-align: center;}
div.container.user-cv-status > p {margin-bottom: 1.5rem; font-size: 1rem;}

form.forminator-custom-form .forminator-field-section {}
form.forminator-custom-form .forminator-field-section .forminator-field {}
form.forminator-custom-form .forminator-field-section .forminator-field > .forminator-title {font-size: 1.75rem !important;}

/*--------------------------
## Account profiles sidebar
few lines of JS added on /assets/js/custom-scripts.js
----------------------------*/
.account-overlay {
	position: fixed;
	width: 100%;
	height: 100%;
	z-index: -10;
	background-color: transparent;
	transition: 400ms all ease-in-out;
}
.account-overlay.opened {
	background-color: rgba(0, 0, 0, 0.75);
	z-index: 3;
}

.user-datas-sidebar {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 99999;
  right: 0;
  top: 0;
  background-color: var(--featured-color);
  background-color: var(--featured-color-90);
  overflow-x: hidden;
  -moz-transition: ease 0.5s;
  -o-transition: ease 0.5s;
  -webkit-transition: ease 0.5s;
  transition: ease 0.5s;
}

.user-datas-sidebar .profile-update-panel {
	position: absolute;
	height: 100%;
	width: 100%;
	background-color: var(--alt-bg);
	right: -800px;
	padding-top: 2.5rem;
	opacity: 0;
	z-index: 3;
	transition: 400ms all ease-in-out;
}

.user-datas-sidebar .profile-update-panel.opened {
	right: 0;
	opacity: 1;
}

.user-datas-sidebar .profile-update-panel .profile-update-content {
	display: none;
	opacity: 0;
	padding: 6px 16px;
	transition: 400ms all ease-in-out;
}
.user-datas-sidebar .profile-update-panel .profile-update-content.opened {
	display: block;
	opacity: 1;
}

.user-datas-sidebar .profile-update-panel .profile-update-content [class*="col-"] {
	flex: initial;
}

.user-datas-sidebar .profile-update-panel form .forminator-row {
	display: flex;
}

/* Close overlay onclose icon click */
.close-update-panel {
  position: relative;
	cursor: pointer;
	top: 12px;
	right: 6px;
  display: block;
  height: 48px;
  width: 48px;
  line-height: 48px;
  margin-left: auto;
  color: var(--dark-txt-color);
  text-align: center;
  font-size: 3.125rem;
  text-decoration: none;
	opacity: 0;
	transition: 400ms opacity ease-in-out;
}
.profile-update-panel.opened .close-update-panel {position: fixed; z-index: 4; opacity: 1;}
.close-update-panel:hover, .close-mobile-menu:focus {color: var(--alt-featured-color);}

/* Position the content inside the overlay */
.user-datas-sidebar-content {
  position: relative;
  width: 100%;
	padding: 3.5rem 2rem 2rem 2rem;
	color: var(--light-txt-color);
}

.user-datas-sidebar-content h3 {
	color: var(--light-txt-color);
	border-bottom: 1px solid;
}
.user-datas-sidebar-content a.profile-data-modif-cta {
	background-color: rgba(255, 255, 255, 0.75);
	color: var(--featured-color);
	padding: 0 6px;
	border-radius: 8px;
}

.user-datas-sidebar-content em.personal-space_link {margin-top: 1rem;display: block;}
.user-datas-sidebar-content em.personal-space_link > a {
	color: var(--light-txt-color);
	background-color: var(--alt-featured-color);
	padding: 4px 8px;
	border-radius: 12px;
}

.user-datas-sidebar-content .user-datas-usage-info {
	display: block;
	font-size: 0.9rem;
	line-height: 1.25rem;
	margin-bottom: 1rem;
}

.user-datas-sidebar-content ul.account-datas {
	margin: 1rem 0.5rem;
}
.user-datas-sidebar-content ul.account-datas li {
	color: var(--light-txt-color);
	line-height: 18px;
	max-width: 65%;
	margin: 9px 0;
}
.user-datas-sidebar-content ul.account-datas li span.prefix {
	font-weight: 700;
}

/* Close overlay onclose icon click */
.close-sidebar-profile {
  position: relative;
	cursor: pointer;
	top: 12px;
	right: 6px;
  display: block;
  height: 48px;
  width: 48px;
  line-height: 48px;
  margin-left: auto;
  color: #fff;
  text-align: center;
  font-size: 3.125rem;
  text-decoration: none;
	opacity: 0;
	transition: 400ms opacity ease-in-out;
}
.close-sidebar-profile.opened {position: fixed; z-index: 2; opacity: 1;}
.close-sidebar-profile:hover, .close-mobile-menu:focus {color: var(--alt-featured-color);}

/* When the height of the screen is less than 450 pixels, change position of close button again, so there is no overlap */
@media screen and (max-height: 450px) {
  .close-sidebar-profile {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
  }
}

.open-sidebar-profile {
  font-size: 16px;
  font-size: 1rem;
  color: var(--light-txt-color);
}

/*Profile sidebar - Collapse content*/
.remseo-collapse-content {
  position: relative;
  width: 100%;
  height: auto;
  margin: 2em auto;
  border: 1px solid #ccc;
  box-shadow: 5px 5px 15px rgba(216, 216, 216, 0.5);
}

.remseo-collapse-content > div.collapse-item:not(:last-child) {
  border-bottom: 1px solid #f7f7f7;
}

.remseo-collapse-content > div.collapse-item > div {
  padding: 1em;
}

.remseo-collapse-content > div.collapse-item > div.visible-txt {
  background-color: var(--main-bg);
  color: var(--dark-txt-color);
  cursor: pointer;
}

.remseo-collapse-content.single > div.collapse-item > div.visible-txt,
.remseo-collapse-content.multiple > div.collapse-item > div.visible-txt {
  display: flex;
  align-items: center;
}

.remseo-collapse-content.single > div.collapse-item > div.visible-txt::before,
.remseo-collapse-content.multiple > div.collapse-item > div.visible-txt::before {
  content: "";
  margin-right: 1em;
  border: solid var(--dark-txt-color);
  border-width: 0 4px 4px 0;
  padding: 4px;
  transform: rotate(-45deg);
  transition: transform 0.4s linear;
}

.remseo-collapse-content > div.collapse-item.open > div.visible-txt::before {
  transform: rotate(45deg);
}

.remseo-collapse-content.single > div.collapse-item > div.visible-txt > *,
.remseo-collapse-content.multiple > div.collapse-item > div.visible-txt > * {
  margin-top: 0.1em; /* Compansates text not optical centered */
}

@media all and (max-width: 580px) {
  .remseo-collapse-content.single > div.collapse-item > div.visible-txt > h2 {
    font-size: 1.5rem;
  }
}

/*---------------------
   ## User profiles
----------------------*/
img.rounded-profile-img {}

.remseo-forminator-section-title h2.forminator-title {font-size: 1.5rem !important; text-align: center !important;}
.remseo-forminator-section-title {position: relative;}
.remseo-forminator-section-title:before {display: block; position: absolute; top: 0; width: 50%; left: 25%; border-top: 1px solid var(--dark-txt-color);}
.remseo-forminator-section-title:after {display: block; position: absolute; bottom: 0; width: 50%; left: 25%; border-bottom: 1px solid var(--dark-txt-color);}

/*-------------------
##  Calls to Action
---------------------*/
/* Main CTA */
.material-cta {
  display: block;
  position: relative;
  background-color: var(--alt-featured-color);
  background-image: linear-gradient(to right, var(--ctas-lighter-color) 0%, var(--ctas-darker-color) 65%, var(--ctas-lighter-color) 100%);
  background-size: 200% auto;
  border: none;
  color: var(--light-txt-color);
  width: max-content;
  max-width: 275px;
  margin: 0 auto;
  padding: 12px 18px;
  text-align: center;
  font-weight: 600;
	letter-spacing: 1.5px;
  /* text-shadow: 1px 1px 0px var(--dark-txt-color); */
  transition: 400ms ease-in-out all;
  border-radius: 6px;
}
.material-cta.loggout-btn {margin-top: 1rem; margin-bottom: 1rem;}
.material-cta:active,
.material-cta:hover {background-position: 50% 50%;}

.material-cta.alt-cta {
	background-image: initial;
	margin-left: 12px;
	margin-right: 0px;
	padding: 6px 12px;
}

/*------------------------------
## 404 + Restricted sections
--------------------------------*/
section.not-found,
section.restricted-content {margin-top: 2rem; margin-bottom: 2rem;}

section.not-found a.material-cta,
section.restricted-content a.material-cta {
	margin-top: 1.5rem;
	margin-bottom: 1.5rem;
}

section.restricted-content .restricted-content-msg {
	margin: 1.5rem 0;
}

.restricted-content-msg > h3,
.restricted-content-msg > p {
	text-align: center;
}

/*-------------------------------------------------
Flex Row placement helper classes
Usage: "flex_{vertical-align}_{horizontal-align}"
---------------------------------------------------*/
.flex-start-start{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:flex-start;-webkit-align-items:flex-start;-ms-flex-align:flex-start;justify-content:flex-start;-webkit-justify-content:flex-start;-ms-flex-pack:flex-start}
.flex-start-centered{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:flex-start;-webkit-align-items:flex-start;-ms-flex-align:flex-start;justify-content:center;-webkit-justify-content:center;-ms-flex-pack:center}
.flex-start-end{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:flex-start;-webkit-align-items:flex-start;-ms-flex-align:flex-start;justify-content:flex-end;-webkit-justify-content:flex-end;-ms-flex-pack:flex-end}
.flex-centered-start{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:center;-webkit-align-items:center;-ms-flex-align:center;justify-content:flex-start;-webkit-justify-content:flex-start;-ms-flex-pack:flex-start}
.flex-centered{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:center;-webkit-align-items:center;-ms-flex-align:center;justify-content:center;-webkit-justify-content:center;-ms-flex-pack:center}
.flex-centered-end{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:center;-webkit-align-items:center;-ms-flex-align:center;justify-content:flex-end;-webkit-justify-content:flex-end;-ms-flex-pack:flex-end}
.flex-end-start{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:flex-end;-webkit-align-items:flex-end;-ms-flex-align:flex-end;justify-content:flex-start;-webkit-justify-content:flex-start;-ms-flex-pack:flex-start}
.flex-end-centered{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:flex-end;-webkit-align-items:flex-end;-ms-flex-align:flex-end;justify-content:center;-webkit-justify-content:center;-ms-flex-pack:center}
.flex-end-end{display:flex;display:-ms-flexbox;display:-webkit-flex;align-items:flex-end;-webkit-align-items:flex-end;-ms-flex-align:flex-end;justify-content:flex-end;-webkit-justify-content:flex-end;-ms-flex-pack:flex-end}

/*----------------------------------------------------
Convert flex row to column
Usage: column flex_{vertical-align}_{horizontal-align}
-----------------------------------------------------*/
.column{flex-direction:column}
.column.flex-start-start {display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:flex-start;-webkit-justify-content:flex-start;-ms-flex-pack:flex-start;align-items:flex-start;-webkit-align-items:flex-start;-ms-flex-align:flex-start;}
.column.flex-start-centered{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:flex-start;-webkit-justify-content:flex-start;-ms-flex-pack:flex-start;align-items:center;-webkit-align-items:center;-ms-flex-align:center;}
.column.flex-start-end{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:flex-start;-webkit-justify-content:flex-start;-ms-flex-pack:flex-start;align-items:flex-end;-webkit-align-items:flex-end;-ms-flex-align:flex-end;}
.column.flex-centered-start{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:center;-webkit-justify-content:center;-ms-flex-pack:center;align-items:flex-start;-webkit-align-items:flex-start;-ms-flex-align:flex-start;}
.column.flex-centered{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:center;-webkit-justify-content:center;-ms-flex-pack:center;align-items:center;-webkit-align-items:center;-ms-flex-align:center;}
.column.flex-centered-end{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:center;-webkit-justify-content:center;-ms-flex-pack:center;align-items:flex-end;-webkit-align-items:flex-end;-ms-flex-align:flex-end;}
.column.flex-end-start{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:flex-end;-webkit-justify-content:flex-end;-ms-flex-pack:flex-end;align-items:flex-start;-webkit-align-items:flex-start;-ms-flex-align:flex-start;}
.column.flex-end-centered{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:flex-end;-webkit-justify-content:flex-end;-ms-flex-pack:flex-end;align-items:center;-webkit-align-items:center;-ms-flex-align:center;}
.column.flex-end-end{display:flex;display:-ms-flexbox;display:-webkit-flex;justify-content:flex-end;-webkit-justify-content:flex-end;-ms-flex-pack:flex-end;align-items:flex-end;-webkit-align-items:flex-end;-ms-flex-align:flex-end;}

/* Invert start and end point if needed */
.flex-invertion{flex-direction: row-reverse;}
.column.flex-invertion {flex-direction: column-reverse;}

/*--------------------
   Animations helper
    (animate.css)
---------------------*/
.hidden {opacity: 0; visibility: hidden;}
.full-hidden{display: none !important; opacity: 0; visibility: hidden;}

.delay-25 {animation-delay: .25s;}
.delay-50 {animation-delay: .5s;}
.delay-75 {animation-delay: .75s;}
.delay-100 {animation-delay: 1s;}
.delay-125 {animation-delay: 1.25s;}
.delay-150 {animation-delay: 1.50s;}
.delay-175 {animation-delay: 1.75s;}
.delay-200 {animation-delay: 2s;}
.delay-225 {animation-delay: 2.25s;}
.delay-250 {animation-delay: 2.50s;}
.delay-275 {animation-delay: 2.75s;}
.delay-300 {animation-delay: 3s;}
.delay-325 {animation-delay: 3.25s;}
.delay-350 {animation-delay: 3.50s;}
.delay-375 {animation-delay: 3.75s;}
.delay-400 {animation-delay: 4s;}
.delay-425 {animation-delay: 4.25s;}
.delay-450 {animation-delay: 4.50s;}
.delay-475 {animation-delay: 4.75s;}
.delay-500 {animation-delay: 5s;}
.delay-525 {animation-delay: 5.25s;}
.delay-550 {animation-delay: 5.50s;}
.delay-575 {animation-delay: 5.75s;}
.delay-600 {animation-delay: 6s;}
.delay-625 {animation-delay: 6.25s;}
.delay-650 {animation-delay: 6.50s;}
.delay-675 {animation-delay: 6.75s;}
.delay-700 {animation-delay: 7s;}

/*Animate letters*/
.ml1, .ml2, .ml5, .ml14 {
  text-align: center;
}

.ml1 {
  font-weight: 900;
  font-size: 3.5em;
}

.ml1 .letter {
  display: inline-block;
  line-height: 1em;
}

.ml1 .text-wrapper {
  position: relative;
  padding-top: 0.1em;
  padding-right: 0.05em;
  padding-bottom: 0.15em;
}

.ml1 .line {
  opacity: 0;
  position: absolute;
  left: 0;
  height: 3px;
  width: 100%;
  background-color: var(--title-color);
  transform-origin: 0 0;
}

.ml1 .line1 {
  top: 0;
}

.ml1 .line2 {
  bottom: 0;
} /*Text rotation Slider styles */
.rotated-txt {
  height: auto;
  margin: 50px auto;
  text-align: center;
  display: flex;
  justify-content: center;
}

.rotated-txt h1, .rotated-txt h2, .rotated-txt h3, .rotated-txt h4, .rotated-txt h5, .rotated-txt h6 {
  color: #fff;
  float: left;
  font-size: 30px !important;
}

.rotated-txt b {
  padding: 5px 5px 5px 0px;
  overflow: hidden;
  height: 35px;
  font-size: 30px;
  text-align: left;
}

.rotated-txt .innerText {
  font-weight: 700;
  color: var(--title-color);
  padding-left: 10px;
  padding-top: 6px;
  animation: move-3 7s infinite;
  animation-delay: 3.5s;
  top: 0;
}

.rotated-txt .innerText span {
  display: inline-block;
  min-height: 40px;
} /*4 Elements*/
@keyframes move-4 {
  0% {
    top: 0px;
  }
  20% {
    top: -40px;
  }
  40% {
    top: -80px;
  }
  60% {
    top: -120px;
  }
  80% {
    top: -160px;
  }
} /*3 Elements*/
@keyframes move-3 {
  0% {
    top: 0px;
  }
  30% {
    top: -40px;
  }
  60% {
    top: -80px;
  }
  90% {
    top: -120px;
  }
}

/*------------------------------------------
          Parallax library
@source https://github.com/nk-o/jarallax
--------------------------------------------*/
.jarallax {
  position: relative;
  width: 100%;
  height: 100%;
  z-index: 0;
}
.jarallax > .jarallax-img {
  position: absolute;
  object-fit: cover;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

/*----------------------
## ACF Intro Containers
------------------------*/
#intro-section {height: 90vh; width: 100%; transition: 400ms height ease-in-out;}
.intro-container {position: relative; margin-bottom: 24px; height: 100%; width: 100%}
.intro-container.smallerh {height: 400px;}
.intro-container .intro-overlay {position: absolute;top: 0;width: 100%;height: 100%;z-index: 1;}
/*Fix overlay with parallax effect*/
.intro-container .up-content {width: 100%; z-index: 2;}
.intro-container a.continue-reading {position: absolute; bottom: 12px; z-index: 3;}
.intro-container a.continue-reading,
.intro-container a.continue-reading > i.fas {color: var(--light-txt-color);}

.intro-container .hero-intro-ctas a.material-cta, .intro-container .hero-intro-ctas a.js-cta {display: flex; align-items: center; min-height: 50px; margin: 12px 24px;}
.intro-container .hero-intro-ctas i.fa.hover-only,
.intro-container .hero-intro-ctas i.fas.hover-only,
.intro-container .hero-intro-ctas i.far.hover-only,
.intro-container .hero-intro-ctas i.fab.hover-only {
	position : absolute;
	padding : 0;
	opacity: 0;
	font-size: 1.15rem;
	right: 0;
	transition: 200ms all ease-in-out;
}
.intro-container .hero-intro-ctas a.material-cta:hover {padding-right: 2.10rem;}
.intro-container .hero-intro-ctas a.material-cta:hover i.fa.hover-only,
.intro-container .hero-intro-ctas a.material-cta:hover i.fas.hover-only,
.intro-container .hero-intro-ctas a.material-cta:hover i.far.hover-only,
.intro-container .hero-intro-ctas a.material-cta:hover i.fab.hover-only {
	opacity: 1;
	right: 0.5rem;
}

/* Intro container - Image */
.intro-container figure {position: relative; width: 100%; height: 100%;}
.intro-container figure:not(.c4-izmir) img {z-index: -1;}
.intro-container figure figcaption:not(.post-datas), .intro-container figcaption:not(.post-datas) {position: relative; height: auto; max-height: 90%; width: 75%; padding: 6px 18px; border-radius: 6px; overflow: hidden; box-shadow: 0px 0px 4px 1px var(--light-bg-featured-color); z-index: 1;}
.intro-container figure figcaption:not(.post-datas) h1, .intro-container figcaption:not(.post-datas) h1 {width: 70%; font-size: 4rem; letter-spacing: 4px; margin: 0 auto; text-transform: initial;}
.intro-container figure figcaption:not(.post-datas) p, .intro-container figcaption:not(.post-datas) p {text-align: center; letter-spacing: 1.25px; padding: 4px 8px; border-radius: 6px; color: #fff;}
/* Intro container - video */
.intro-container.video {background-position: center center; background-size: cover; background-repeat: no-repeat;}
.intro-container iframe {width: 100%; height: 100%;}
.intro-container video {width: 100%; height: 100%;}
.intro-container .iframe-container {padding: 0;}
/* Intro container - Text and background */
.intro-container.simple-txt {position: relative; margin-bottom: 24px; height: auto; width: 100%}
.intro-container.simple-txt.smallerh {height: 400px;}
.intro-container.simple-txt figure {position: relative; width: 80%; height: 100%; margin: 0 auto; padding: 7.5% 0;}
.intro-container.simple-txt figure img:not(.inline-img) {width: 220px; height: auto; padding-top: 10%;}
.intro-container.simple-txt figure figcaption {position: relative; height: auto; background: none;}
.intro-container.simple-txt figure figcaption h2 {color: var(--light-txt-color);}
.intro-container.simple-txt figure figcaption p {color: var(--light-txt-color); font-weight: 700; font-size: 1em; padding: 4px 8px; background: none;}

.intro-container .mobile {display: none;}
.intro-container .tablet {display: none;}
.intro-container .desktop {display: flex;}

@media all and (min-width: 1840px) {
	/*Bigger font size on bigger screens*/
	.intro-container figure figcaption p {font-size: 1.15em;}
	.intro-container.video figcaption p {font-size: 1.15em;}
	.intro-container.simple-txt figure figcaption p {font-size: 1.15em;}
}

@media all and (max-width: 1280px) {
	.intro-container figure figcaption h1, .intro-container figcaption h1 {font-size: 3.5rem;}
}

@media all and (max-width: 980px) {
	.intro-container figure figcaption h1, .intro-container figcaption h1 {font-size: 3rem;}
}

@media all and (max-width: 768px) {
	#intro-section {height: 100% !important;}
	.intro-container figure figcaption h1, .intro-container figcaption h1 {font-size: 2.5rem;}
	.intro-container .tablet {display: flex;}
	.intro-container .desktop {display: none;}

	.intro-container figure figcaption:not(.post-datas), .intro-container figcaption:not(.post-datas) {width: 100%; padding: 6px 12px;}
}

@media all and (max-width: 580px) {
	.intro-container {height: auto;}
	.intro-container figure figcaption h1, .intro-container figcaption h1 {font-size: 2rem;}
	.intro-container .mobile {display: flex;}
	.intro-container .tablet {display: none;}
	.intro-container.simple-txt figure {width: 95%; padding: 5% 0;}
	.intro-container.simple-txt figure img:not(.inline-img) {padding-top: 2.5%;}
	.intro-container figure figcaption {height: 100%; width: 95% !important; left: 0; padding: 24px 12px;}
	.intro-container figure figcaption h1 {text-align: center;}
	.intro-container figure figcaption:not(.post-datas) h1, .intro-container figcaption:not(.post-datas) h1 {font-size: 2.25rem; width: 100%;}
	.floating-img {float: left; width: 64px !important; margin-right: 12px; padding-top: 0;}

	.intro-container .hero-intro-ctas {flex-direction: column;}
}

@media all and (max-width: 440px) {
	.intro-container figure figcaption {padding: 24px 8px 24px 8px;}
}
